<?php 
if(!function_exists('str_split')){
   function str_split($string,$split_length=1){
       $count = strlen($string);
       if($split_length < 1){
           return false;
       } elseif($split_length > $count){
           return array($string);
       } else {
           $num = (int)ceil($count/$split_length);
           $ret = array();
           for($i=0;$i<$num;$i++){
               $ret[] = substr($string,$i*$split_length,$split_length);
           }
           return $ret;
       }
   }
}
?>
